Welcome, Guest
Username Password: Remember me
  • Page:
  • 1
  • 2

TOPIC: LWKS 12.6 and Opensuse 13.2 (also Leap 42.1 I would bet)

LWKS 12.6 and Opensuse 13.2 (also Leap 42.1 I would bet) 3 years, 8 months ago #107893

  • prgarnett
  • Edu User
  • OFFLINE
  • Fresh Boarder
  • Posts: 13
  • 3 years, 8 months ago
Hi all,

This might have been covered but I wasn't able to find it easily so I thought I would post it up

I have been trying to get lightworks 12.6 working on Opensuse 13.2 and ran into some problems. It would hang on with the loading banner up and not do anything. So I tried running ntcardvt from the command line and got:

./ntcardvt: error while loading shared libraries: libcrypto.so.10: cannot open shared object file: No such file or directory

In Opensuse libcrypto.so.10 is provided by the libopenssl package as /lib64/libcrypto.so.1.0.0

So its both named incorrectly and also in the wrong place for lightworks to find.

Easy fix, as root make a sym link:

ln -s /lib64/libcrypto.so.1.0.0 /usr/lib64/libcrypto.so.10

Seems to work now, although I haven't tested extensively. I think this will be the same for Leap 42.1 but my normal machine is waiting on a motherboard replacement so I cannot test that.

Hope that is helpful for some.

Cheers,
Phil
Opensuse Leap 42.2
Lightworks 12.6 Pro
Lightworks 14 Free
The topic has been locked.

Re: LWKS 12.6 and Opensuse 13.2 (also Leap 42.1 I would bet) 3 years, 7 months ago #109531

  • wmesko
  • OFFLINE
  • Fresh Boarder
  • Posts: 1
  • 3 years, 7 months ago
Man, you've just saved the day! Thank you!!! Thank you!!! Thank you!!! And what a elegant solution...
The topic has been locked.

Re: LWKS 12.6 and Opensuse 13.2 (also Leap 42.1 I would bet) 3 years, 5 months ago #114341

  • prgarnett
  • Edu User
  • OFFLINE
  • Fresh Boarder
  • Posts: 13
  • 3 years, 5 months ago
Glad to help. It does also work for 12.6 and Leap 42. I am using that now.
Opensuse Leap 42.2
Lightworks 12.6 Pro
Lightworks 14 Free
The topic has been locked.

Re: LWKS 12.6 and Opensuse 13.2 (also Leap 42.1 I would bet) 3 years, 2 months ago #119796

  • reaver
  • Pro User
  • OFFLINE
  • Fresh Boarder
  • Posts: 15
  • 3 years, 2 months ago
I've had to deal with this same problem for YEARS when installing Maya. So annoying. I'm glad you got it worked out though.
The topic has been locked.

Re: LWKS 12.6 and Opensuse 13.2 (also Leap 42.1 I would bet) 2 years, 7 months ago #137652

  • doguibnu
  • OFFLINE
  • Fresh Boarder
  • Posts: 2
  • 2 years, 7 months ago
Hello!

How to install LWS 14.4 in opensuse 42.2 64 bits?

I try to install it but problems with dependencies. The sym link does not work for me.

Somebody get install it?

Thanks for attention and help

Douglas
Douglas Giovani Oechsler
Prudentopolis-ParanĂ¡-Brazil
e-mail: This e-mail address is being protected from spambots. You need JavaScript enabled to view it
facebook: www.facebook.com/douglas.g.oechsler
The topic has been locked.

Re: LWKS 12.6 and Opensuse 13.2 (also Leap 42.1 I would bet) 2 years, 7 months ago #138658

  • doguibnu
  • OFFLINE
  • Fresh Boarder
  • Posts: 2
  • 2 years, 7 months ago
Hello

For me does not work with de simlink.
I have opensuse 42.2 64 bits

Is there other mode to fix this?

thanks
Douglas Giovani Oechsler
Prudentopolis-ParanĂ¡-Brazil
e-mail: This e-mail address is being protected from spambots. You need JavaScript enabled to view it
facebook: www.facebook.com/douglas.g.oechsler
The topic has been locked.

Re: LWKS 12.6 and Opensuse 13.2 (also Leap 42.1 I would bet) 2 years, 7 months ago #140022

  • Valtingojer
  • OFFLINE
  • Fresh Boarder
  • Posts: 1
  • 2 years, 7 months ago
You must install ignoring the dependence, them with it installed lwks will start up with the simlink

I have also mande another 2 simlink, i don't know wich was the sucefull one, the posted or thouse 2 below

ln -s /usr/lib64/libcrypto.so.36.0.0 /usr/lib64/libcrypto.
ln -s /usr/lib64/libssl.so.37.0.0 /usr/lib64/libssl.so.10
The topic has been locked.

Re: LWKS 12.6 and Opensuse 13.2 (also Leap 42.1 I would bet) 2 years, 6 months ago #140313

Thanks, this worked on OpenSUSE Tumbleweed perfectly with LWKS 14.
The topic has been locked.

Re: LWKS 12.6 and Opensuse 13.2 (also Leap 42.1 I would bet) 2 years, 5 months ago #147295

  • tedbar
  • Pro User
  • OFFLINE
  • Junior Boarder
  • Posts: 26
  • 2 years, 5 months ago
I have previously had no trouble resolving this but have encountered a different problem. After creating the link lightworks reports the following error and aborts:

/usr/lib/lightworks/ntcardvt: /usr/lib64/libcrypto.so.10: no version information available (required by /usr/lib/lightworks/libOSPrivate.so)

It runs fine on one machine but not the second. Both are running Leap 42.2 and the version and vendor of /lib64/libcrypto.so.1.0.0 are the same. It is also the same lwks rpm being used.

Any pointers?
Opensuse Leap 42.2 x86 64 bit
Intel(R) Core(TM) i7 CPU 4790K @ 4GHz
GeForce GTX 970
Native driver 375.39
16GB memory

Lightworks 14
The topic has been locked.

Re: LWKS 12.6 and Opensuse 13.2 (also Leap 42.1 I would bet) 2 years, 5 months ago #147296

  • tedbar
  • Pro User
  • OFFLINE
  • Junior Boarder
  • Posts: 26
  • 2 years, 5 months ago
PS - it is lwks 14, no 12 as per my signature
Opensuse Leap 42.2 x86 64 bit
Intel(R) Core(TM) i7 CPU 4790K @ 4GHz
GeForce GTX 970
Native driver 375.39
16GB memory

Lightworks 14
The topic has been locked.

Re: LWKS 12.6 and Opensuse 13.2 (also Leap 42.1 I would bet) 2 years, 5 months ago #147304

  • tedbar
  • Pro User
  • OFFLINE
  • Junior Boarder
  • Posts: 26
  • 2 years, 5 months ago
Correction. I have just reverted to my "working" machine and it now reports exactly the same error. Since the lwks version has not changed something in leap 42.2 has been updated. Reverting to an older version of libcrypto (only tried one alternative) does not change the error.
Opensuse Leap 42.2 x86 64 bit
Intel(R) Core(TM) i7 CPU 4790K @ 4GHz
GeForce GTX 970
Native driver 375.39
16GB memory

Lightworks 14
The topic has been locked.

Re: LWKS 12.6 and Opensuse 13.2 (also Leap 42.1 I would bet) 2 years, 4 months ago #148787

  • prgarnett
  • Edu User
  • OFFLINE
  • Fresh Boarder
  • Posts: 13
  • 2 years, 4 months ago
Hi folks,

I have been looking into some things on the Opensuse Leap 42.2 side.
First there is some wrong with libportaudiocpp that is distributed with opensuse leap 42.2, or in the multimedia:libs repo. It doesn't work with either Lightworks 12.6 or 14. So I ended up getting one from Ubuntu and using that! I might try compiling one to see if that works. even then you are going to get buffer problems until you set the sound device using GlobalSettings.txt
[PortAudio]
OutputDeviceIndex=X
InputDeviceIndex=X
Where X is a device that will work, I pick pulseaudio and it works.

Also to get 14 to work you need to put another sym link, lightworks 14 looks for libcrypto.so.10. Opensuse provides libcrypto.so.1.0.0 with package libopenssl1_0_0, and it puts it in /lib64/.
So as root make this link:
ln -s /lib64/libcrypto.so.1.0.0 /usr/lib64/libcrypto.so.10

Lightworks will open but you get this error.
/usr/lib64/libcrypto.so.10: no version information available
I think this is harmless, not 100% sure.

This is normally that the version number is a mismatch with something else.
Opensuse Leap 42.2
Lightworks 12.6 Pro
Lightworks 14 Free
The topic has been locked.

Re: LWKS 12.6 and Opensuse 13.2 (also Leap 42.1 I would bet) 2 years, 4 months ago #148789

  • prgarnett
  • Edu User
  • OFFLINE
  • Fresh Boarder
  • Posts: 13
  • 2 years, 4 months ago
tedbar

I think the error you have is with portaudio, look in the error.log and see where lightworks fails.
Opensuse Leap 42.2
Lightworks 12.6 Pro
Lightworks 14 Free
The topic has been locked.

Re: LWKS 12.6 and Opensuse 13.2 (also Leap 42.1 I would bet) 2 years, 4 months ago #148793

  • prgarnett
  • Edu User
  • OFFLINE
  • Fresh Boarder
  • Posts: 13
  • 2 years, 4 months ago
Hi folks,

Ok if you build your own portaudio it seems to work. Download from:
portaudio.com/download.html

Then if you build with:
./configure --enable-cxx=yes
make

then you can either make install as root (then check where it puts them might be the wrong place) or get the libraries out of the folders and dump them into /usr/lib/lightworks
libportaudioccp is in bindings/cpp/lib/.libs/
libportaudio is in lib/.libs/

Make sure you copy the sym links over too.
I have attached my compiled versions in case they work for others and if the forum lets me.
This attachment is hidden for guests. Please log in or register to see it.
Opensuse Leap 42.2
Lightworks 12.6 Pro
Lightworks 14 Free
The topic has been locked.

Re: LWKS 12.6 and Opensuse 13.2 (also Leap 42.1 I would bet) 2 years, 2 months ago #154495

  • elvisvinicius
  • OFFLINE
  • Fresh Boarder
  • Posts: 1
  • 2 years, 2 months ago
prgarnett wrote:
Hi folks,

Ok if you build your own portaudio it seems to work. Download from:
portaudio.com/download.html

Then if you build with:
./configure --enable-cxx=yes
make

then you can either make install as root (then check where it puts them might be the wrong place) or get the libraries out of the folders and dump them into /usr/lib/lightworks
libportaudioccp is in bindings/cpp/lib/.libs/
libportaudio is in lib/.libs/

Make sure you copy the sym links over too.
I have attached my compiled versions in case they work for others and if the forum lets me.
This attachment is hidden for guests. Please log in or register to see it.


The message...

/usr/lib64/libcrypto.so.10: no version information available

...still, but with yours portaudio libs, lightworks run!

Thak you!
Last Edit: 2 years, 2 months ago by elvisvinicius.
The topic has been locked.
  • Page:
  • 1
  • 2
Time to create page: 0.46 seconds
Scroll To Top